Subject: bug#37015: man link gives me car: Variable binding depth exceeds max-specpdl-size

From: Jean Louis <[email-masked]>
Date: Sun, 18 Aug 2019 20:48:55 +0200

* Robert Weiner <[email-masked]> [2019-08-18 19:30]:
> On Mon, Aug 12, 2019 at 6:16 PM Jean Louis <[email-masked]> wrote:
> 
> > I use:  Editor:      GNU Emacs 27.0.50 (build 3, x86_64-pc-linux-gnu, X
> > toolkit, Xaw3d scroll bars)
> >
> >         Hyperbole:   7.0.3a
> >         Sys Type:    x86_64-pc-linux-gnu
> >         OS Type:     gnu/linux
> >         Window Sys:  x
> >         News Reader: Gnus v5.13
> >
> > Making completion list...
> > <(Read)> executes (man-show grep)
> >
> 
> I created this exact explicit button in my HYPB global button file, didn't
> even save the file, activated the button and it displayed the man page
> perfectly (Hyperbole 7.0.3b under MacOS).

Just look at this video:
https://gnu.support/files/tmp/2019-08-18/2019-08-18-20:39:26.ogv

> I think this problem is outside of Hyperbole.  I will close this issue
> unless you point to any code reference within Hyperbole that causes such a
> problem.

You can surely, close, that is your decision. 

Yet that gives me impression of your viewpoint that if you do not see
the bug, that it does not exist. It does not really encourage me to
report new bugs. So I get the impression that you are closing bugs for
sake to have "Bugs closed". Sounds strange, maybe I do not understand
something.

> FYI, if you use {C-h h c d} to turn on debug logging for Hyperbole buttons,
> then activate one or more buttons and then compose a Hyperbole list mail
> message with {C-h h m c}, a log of the buttons and actions that you ran
> will be included with your but/issue report.  {C-h h c d} will then toggle
> this feature off.

I will do this now again. Look at the video above.

Jean